<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.6">
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::AsinhNormalize</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_asinh_normalize.html</filename>
    <base>lsst::display::matplotlib::matplotlib::Normalize</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_asinh_normalize.html</anchorfile>
      <anchor>ac4a0262ba0464bef1aa40728df4c4c86</anchor>
      <arglist>(self, minimum=0, dataRange=1, Q=8)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getMinMaxQ</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_asinh_normalize.html</anchorfile>
      <anchor>a44424a99afc42b33220902ed4b5c14ae</anchor>
      <arglist>(self)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::AsinhZScaleNormalize</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_asinh_z_scale_normalize.html</filename>
    <base>lsst::display::matplotlib::matplotlib::AsinhNormalize</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_asinh_z_scale_normalize.html</anchorfile>
      <anchor>ac2e289c60b75fd4dbeb4f4e2312143d2</anchor>
      <arglist>(self, image=None, Q=8)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::BlockingKeyInput</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_blocking_key_input.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_blocking_key_input.html</anchorfile>
      <anchor>a9e6249116f119dfc36fcd8ccf5be4b18</anchor>
      <arglist>(self, fig)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>post_event</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_blocking_key_input.html</anchorfile>
      <anchor>a697a3f244fe898c6027a625cf479ebf7</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>__call__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_blocking_key_input.html</anchorfile>
      <anchor>a99866d3045f719577b32533e20251ef8</anchor>
      <arglist>(self, timeout=-1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::DisplayImpl</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ab9f57205eb175b81d997b0d1268a8604</anchor>
      <arglist>(self, display, verbose=False, interpretMaskBits=True, mtvOrigin=afwImage.PARENT, fastMaskDisplay=False, reopenPlot=False, useSexagesimal=False, dpi=None, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>savefig</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a3df7715c0b0e6d20486390eb13f8cab2</anchor>
      <arglist>(self, *args, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>show_colorbar</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ac101c83b754f85f346eda26153fe0f06</anchor>
      <arglist>(self, show=True, where=&quot;right&quot;, axSize=&quot;5%&quot;, axPad=None, **kwargs)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>useSexagesimal</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a5d6433c59c8b0d311697df626a690cf6</anchor>
      <arglist>(self, useSexagesimal)</arglist>
    </member>
    <member kind="function">
      <type>def</type>
      <name>wait</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a0f077a8cf7301b52565f3a4cfb637a2b</anchor>
      <arglist>(self, prompt=&quot;[c(ontinue) p(db)] :&quot;, allowPdb=True)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_close</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ab3ae7d7a6a71cfb094a5bcdac08ffc98</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_show</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ad31e8786a14a2170090dcb54b07f11ac</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setMaskTransparency</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a42ef13a3aa79432cc8bbc23d7cba89ae</anchor>
      <arglist>(self, transparency, maskplane)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getMaskTransparency</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a7259e07c1ca0d2bd0afe99855c35f075</anchor>
      <arglist>(self, maskplane=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_mtv</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a9f7a6a5a9f87a49442199b3672f5d76d</anchor>
      <arglist>(self, image, mask=None, wcs=None, title=&quot;&quot;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_i_mtv</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a8a5eedfe8c269d858dc15478e26f0831</anchor>
      <arglist>(self, data, wcs, title, isMask)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_i_setImage</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ac1603cd195f790ac11e98a86c8121132</anchor>
      <arglist>(self, image, mask=None, wcs=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_setImageColormap</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a4756978c2e8d7a80dd7c94e2736e833a</anchor>
      <arglist>(self, cmap)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_erase</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a286353fa80b05c6c3b854e6b035baf0a</anchor>
      <arglist>(self)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_dot</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a80d99434a8823c10b14ed60aa90c2bdf</anchor>
      <arglist>(self, symb, c, r, size, ctype, fontFamily=&quot;helvetica&quot;, textAngle=None)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_drawLines</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>ad222d22a284302b9e60464b6615fc03e</anchor>
      <arglist>(self, points, ctype)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_scale</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a70c8519f821a10a0a4e921cb68ec8bb8</anchor>
      <arglist>(self, algorithm, minval, maxval, unit, *args, **kwargs)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_zoom</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>a65decce3846275381844951be9a1419e</anchor>
      <arglist>(self, zoomfac)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_pan</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>aa7f98b960c548367ef753a79d5e54b5b</anchor>
      <arglist>(self, colc, rowc)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>def</type>
      <name>_getEvent</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_display_impl.html</anchorfile>
      <anchor>aa37321b7a3d559dec778641e0f87a460</anchor>
      <arglist>(self, timeout=-1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::LinearNormalize</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_linear_normalize.html</filename>
    <base>lsst::display::matplotlib::matplotlib::Normalize</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_linear_normalize.html</anchorfile>
      <anchor>a8db28ba5cbbe3adfac553fc927b6751a</anchor>
      <arglist>(self, minimum=0, maximum=1)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::Normalize</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_normalize.html</filename>
    <member kind="function">
      <type>def</type>
      <name>__call__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_normalize.html</anchorfile>
      <anchor>ad0840e6fedfabc856ab1c13061912bbd</anchor>
      <arglist>(self, value, clip=None)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>lsst::display::matplotlib::matplotlib::ZScaleNormalize</name>
    <filename>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_z_scale_normalize.html</filename>
    <base>lsst::display::matplotlib::matplotlib::Normalize</base>
    <member kind="function">
      <type>def</type>
      <name>__init__</name>
      <anchorfile>classlsst_1_1display_1_1matplotlib_1_1matplotlib_1_1_z_scale_normalize.html</anchorfile>
      <anchor>a2a50d8f7b110f20832a4ef6855645a40</anchor>
      <arglist>(self, image=None, nSamples=1000, contrast=0.25)</arglist>
    </member>
  </compound>
</tagfile>
